Skip to content

Network Scan Scan Runs

Operations for the Network Scan Scan Runs service collection.

LanguageLast Update
Pythonv1.6.1
PowerShellv2.2.9
Gov0.20.0
TypeScriptv0.6.0
Rustv0.7.0
Rubyv1.2.0
OperationDescription
aggregate_scan_runs
aggregate_scan_runs
Returns “scan-runs” aggregations
get_scan_runs
get_scan_runs
Get “scan-runs” by their IDs
create_scan_runs
create_scan_runs
Create “scan-runs” using provided specifications
update_scan_runs
update_scan_runs
Update “scan-runs” using provided specifications
query_scan_runs
query_scan_runs
Get “scan-runs IDs” by filter

Returns “scan-runs” aggregations

POST /netscan/aggregates/scan-runs/GET/v1
Scope Network Scan: READ Consumes · Produces application/json
PEP 8 aggregate_scan_runs
NameTypeData typeDescription
bodybodydictionaryFull body payload as JSON formatted dictionary.
date_rangesbodyarray
excludebodystring
extended_boundsbodyobject
fieldbodystring
filterbodystring
filters_specbodyobject
frombodyinteger
includebodystring
intervalbodystring
max_doc_countbodyinteger
min_doc_countbodyinteger
missingbodystring
namebodystring
percentsbodyarray
qbodystring
rangesbodyarray
sizebodyinteger
sortbodystring
sub_aggregatesbodyarray
time_zonebodystring
typebodystring
from falconpy import NetworkScanScanRuns
falcon = NetworkScanScanRuns(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
date_ranges = [
{
"from": "string",
"to": "string"
}
]
extended_bounds = {
"max": "string",
"min": "string"
}
filters_spec = {
"filters": {},
"other_bucket": boolean,
"other_bucket_key": "string"
}
ranges = [
{
"from": integer,
"to": integer
}
]
sub_aggregates = [
{
"date_ranges": [
{
"from": "string",
"to": "string"
}
],
"exclude": "string",
"extended_bounds": {
"max": "string",
"min": "string"
},
"field": "string",
"filter": "string",
"filters_spec": {
"filters": {},
"other_bucket": boolean,
"other_bucket_key": "string"
},
"from": integer,
"include": "string",
"interval": "string",
"max_doc_count": integer,
"min_doc_count": integer,
"missing": "string",
"name": "string",
"percents": ["string"],
"q": "string",
"ranges": [
{
"from": integer,
"to": integer
}
],
"size": integer,
"sort": "string",
"sub_aggregates": [
{
"date_ranges": ["string"],
"exclude": "string",
"extended_bounds": {},
"field": "string",
"filter": "string",
"filters_spec": {},
"from": integer,
"include": "string",
"interval": "string",
"max_doc_count": integer,
"min_doc_count": integer,
"missing": "string",
"name": "string",
"percents": ["string"],
"q": "string",
"ranges": ["string"],
"size": integer,
"sort": "string",
"sub_aggregates": ["string"],
"time_zone": "string",
"type": "string"
}
],
"time_zone": "string",
"type": "string"
}
]
response = falcon.aggregate_scan_runs(date_ranges=date_ranges,
exclude="string",
extended_bounds=extended_bounds,
field="string",
filter="string",
filters_spec=filters_spec,
from=integer,
include="string",
interval="string",
max_doc_count=integer,
min_doc_count=integer,
missing="string",
name="string",
percents=["string"],
q="string",
ranges=ranges,
size=integer,
sort="string",
sub_aggregates=sub_aggregates,
time_zone="string",
type="string")
print(response)

Get “scan-runs” by their IDs

GET /netscan/entities/scan-runs/v1
Scope Network Scan: READ Consumes · Produces application/json
PEP 8 get_scan_runs
NameTypeData typeDescription
idsquerystring or list of stringsIDs of “scan-runs” to be retrieved (Min: 1, Max: 100)
from falconpy import NetworkScanScanRuns
falcon = NetworkScanScanRuns(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_scan_runs(ids=id_list)
print(response)

Create “scan-runs” using provided specifications

POST /netscan/entities/scan-runs/v1
Scope Network Scan: WRITE Consumes · Produces application/json
PEP 8 create_scan_runs
NameTypeData typeDescription
bodybodydictionaryFull body payload as JSON formatted dictionary.
configbodyobjectThe scan run configuration
scan_idbodystringThe scan ID based on which to create a scan run
from falconpy import NetworkScanScanRuns
falcon = NetworkScanScanRuns(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.create_scan_runs(config={}, scan_id="string")
print(response)

Update “scan-runs” using provided specifications

PATCH /netscan/entities/scan-runs/v1
Scope Network Scan: WRITE Consumes · Produces application/json
PEP 8 update_scan_runs
NameTypeData typeDescription
bodybodydictionaryFull body payload as JSON formatted dictionary.
actionbodystringThe action to be performed for the scan run
idbodystringThe ID of the scan run
from falconpy import NetworkScanScanRuns
falcon = NetworkScanScanRuns(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.update_scan_runs(action="string", id="string")
print(response)

Get “scan-runs IDs” by filter

GET /netscan/queries/scan-runs/v1
Scope Network Scan: READ Consumes · Produces application/json
PEP 8 query_scan_runs
NameTypeData typeDescription
offsetqueryintegerAn offset used with the limit parameter to manage pagination of results. On your first request, don’t provide an offset. On subsequent requests, add previous offset with the previous limit to continue from that place in the results
limitqueryintegerThe number of “scan-runs IDs” to return in this response (Min: 1, Max: 100, Default: 100)
sortquerystringSort “scan-runs” by their properties. A single sort field is allowed
filterquerystringSearch for “scan-runs” by providing an FQL filter
from falconpy import NetworkScanScanRuns
falcon = NetworkScanScanRuns(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.query_scan_runs(offset="string",
limit="string",
sort="string",
filter="string")
print(response)